%This is an examplar file on how the SLAN program could be used (The main function is "SLAN.m")
%
%Type 'help SLAN_train' and 'help SLAN_test' under Matlab prompt for more detailed information
clear all;
clc;

% Loading the file containing the necessary inputs for calling the SLAN function
addpath(genpath('evaluate'));
addpath(genpath('help_function'));
load('sample data.mat'); 

%Set the trade-off parameters used by SLAN
param.alpha = 0.1;
param.beta = 0.1;
param.gamma = 10;
param.mu1 = 0.1;
param.tau = 0.8;

% Calling the main function SLAN
model  = SLAN_train(train_data,train_target,param);
result = SLAN_test(train_data,train_target,test_data,test_target,osr_Labels,model,param);
show_result(result)